#jsAuthModal .modal-dialog {
	max-width: 396px;
}

#jsAuthModal .modal-content a {
	transition: all 0.3s;
	text-decoration: none;
}

#jsAuthModal .modal-content a.data-policy-link {
	font-size: 12px;
	font-weight: 400;
	font-style: normal;
	line-height: 14px;
	color: #7d898b;
}

#jsAuthModal .modal-content {
	min-height: auto;
	padding: 0;
	text-align: left;
	border: 0;
	border-radius: 15px;
	background-clip: border-box;
	box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
}

#jsAuthModal .close {
	position: absolute;
	top: 10px;
	right: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 24px;
	height: 24px;
	margin: 0;
	padding: 0;
	transition: all 0.3s;
	opacity: 1;
	color: #AAB4B6;
	background: none;
}

.auth-modal .close:hover {
	color: #121217;
}

.auth-modal {
	border-radius: 16px;
	background: #FFFFFF;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
}

.auth-modal .auth-modal__header {
	border-radius: 15px 15px 0 0;
	background: #F2F2F2;
}

.auth-modal .auth-modal__header.white {
	background: #FFFFFF;
}

.auth-modal .auth-modal__body {
	padding: 30px 45px 24px 45px;
}

.auth-modal .auth-modal__body h3 {
	font-size: 20px;
	font-weight: 400;
	line-height: 1;
	margin-bottom: 16px;
	color: #121217;
}


.changellenge-form-inputs {
	display: flex;
	flex-direction: column;
	gap: 12px;
}

.changellenge-form .alert-danger {
	font-size: 14px;
	overflow: hidden;
	color: #FF453A;
	border-radius: 15px;
	background-color: rgba(255, 69, 58, 0.03);
}

.changellenge-form .alert-danger p {
	margin-bottom: 1px;
}

.auth-modal__body .changellenge-form .btn-main {
	margin-top: 12px;
}

.changellenge-form .error .form-input {
	border-color: #FF453A;
	background-color: rgba(255, 69, 58, 0.03)

}

.changellenge-form .input-div.error:hover {
	border-color: #888;
}

.changellenge-form .form-input {
	font-size: 16px;
	width: 100%;
	min-height: 46px;
	padding: 10px 15px;
	transition: border-color .3s ease;
	color: #121217;
	border: 1px solid rgba(0, 0, 0, 0.05);
	border-radius: 15px;
	background-color: #FFFFFF;
	box-sizing: border-box;
}

.changellenge-form .form-input::placeholder {
	color: #CDCDCF;
}

.changellenge-form .form-input:focus {
	border-color: #CDCDCF;
}

.changellenge-form .form-input.error {
	border-color: #FF453A;
	background-color: rgba(255, 69, 58, 0.03);
}

.changellenge-form .btn-main {
	font-size: 16px;
	line-height: 1;
	min-height: 44px;
	margin-top: 16px;
	transition: all 0.3s;
	border-radius: 16px;
	background-color: #BD0C1E;
}

.changellenge-form .btn-main:hover {
	background-color: #121217;
}

.changellenge-form .form-checkbox-wrap label {
	display: block !important;
}

.changellenge-form .social-break {
	height: 9px;
	margin-bottom: 11px;
}

.changellenge-form .social-break hr {
	margin: 20px 0 0 0;
}

.changellenge-form .social-break .or-line {
	font-size: 16px;
	margin: -13px 0 15px 0;
	padding: 0;
	text-align: center;
}

.changellenge-form .social-break .or-line span {
	color: #AAB4B6;
	background-color: #fff;
}

.changellenge-form .social-break .or-line span:before, .or-line span:after {
	content: "\00a0\00a0";
}

.changellenge-form .social-bar {
	margin: 0 0 11px 0;
}

.changellenge-form .social-bar .social-bar-vk-item {
	font-size: 16px;
	width: 100%;
	padding: 10px 0;
	transition: all 0.3s;
	color: #1D1D1B;
	border: 1px solid rgba(0, 0, 0, 0.05);
	border-radius: 15px;
	background: #ffffff00;
}

.changellenge-form .social-bar .social-bar-vk-item:hover {
	background-color: #F2F2F2;
}

.changellenge-form .social-bar .social-bar-vk-item img {
	height: 28px;
	vertical-align: -9px;
}

.changellenge-form .auth-error {
	color: #FF453A;
	font-size: 14px;
	line-height: 100%;
	padding: 0 18px;
	margin-top: 4px;
}

.changellenge-form label {
	font-size: 15px;
	font-weight: 400;
	line-height: 1.2;
	display: none;
	width: 100%;
	color: #000000;
}

.changellenge-form .form-checkbox-wrap {
	position: relative;
}

.changellenge-form .form-checkbox-wrap label {
	max-width: none;
}

.changellenge-form .form-checkbox {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0.01;
}

.changellenge-form .form-checkbox + label {
	position: relative;
	padding-left: 25px;
}

.changellenge-form .form-checkbox + label:before {
	position: absolute;
	top: 1px;
	left: 0;
	display: block;
	width: 15px;
	height: 15px;
	content: '';
	transition: all 0.3s;
	border: 0.5px solid #000000;
	border-radius: 50%;
	background-repeat: no-repeat;
	background-position: center;
}

.changellenge-form .form-checkbox:checked + label:before {
	border-color: #BD0C1E;
	background-color: #BD0C1E;
	background-image: url('data:image/svg+xml,<svg width="9" height="8" viewBox="0 0 9 8" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.75 4L3.5625 6.8125L8.25 1.1875" stroke="white" stroke-linecap="round" stroke-linejoin="round"/></svg>');
}

.changellenge-form .password-field {
	width: 100%;
}

.changellenge-form .form-item.input-phone .phone-box button {
	box-sizing: border-box;
}

.changellenge-form .dropdown-toggle::after {
	display: block;
	width: 17px;
	height: 17px;
	border: 0;
	background: url('data:image/svg+xml,<svg width="11" height="7" viewBox="0 0 11 7" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 1L5.5 6L10.5 1" stroke="%23121217" stroke-linecap="round" stroke-linejoin="round"/></svg>');
	background-repeat: no-repeat;

	background-position: center;
}

.auth-modal .phone-box__phone-wrapper {
	flex: 1;
}

.auth-modal phonebox-element .form-input {
	border-left: 0;
	border-radius: 0 15px 15px 0;
}

phonebox-element .phone-box {
	border: none;
}

@media (max-width: 600px) {
	.changellenge-form .form-item {
		flex-wrap: wrap;
	}
}

.changellenge-form a.a-secondary {
	color: #AAB4B6;
}

.changellenge-form a.a-secondary:hover {
	color: #121217;
}

.changellenge-form .bottom-center-link {
	display: flex;
	justify-content: center;
}

.changellenge-form .bottom-center-link p {
	text-align: center;
}

.changellenge-form .bottom-center-link a {
	text-decoration: none !important;
}

.changellenge-form .bottom-center-link a:hover {
	color: #121217;
}

.changellenge-form .btn-main.btn-register.done,
.changellenge-form .btn-main.btn-password.done {
	background-color: #121217;
}

.changellenge-form .btn-main.btn-register.done .checked,
.changellenge-form .btn-main.btn-password.done .checked {
	display: inline;
	margin: -5px 10px 0 0;
}

.changellenge-form .btn-main.btn-register:not(.done) .checked,
.changellenge-form .btn-main.btn-password:not(.done) .checked {
	display: none;
}

.changellenge-form .btn-main.btn-register:not(.done) .done,
.changellenge-form .btn-main.btn-password:not(.done) .done {
	display: none;
}

.changellenge-form .btn-main.btn-register.done .active,
.changellenge-form .btn-main.btn-password.done .active {
	display: none;
}

.changellenge-form .btn-main.inactive {
	background-color: #B9B9B9;
}

.changellenge-form .resend-action.active .resend-inactive,
.changellenge-form .resend-action.active .resend-countdown {
	display: none;
}

.changellenge-form .resend-action.inactive {
	color: #B9B9B9;
	pointer-events: none;
}

.changellenge-form .resend-action.inactive .resend-active {
	display: none;
}


/*
    Блок ссылки "Назад" на формах врсстановления пароля
 */


.auth-modal__header .back-p {
	font-size: 12px;
	height: 50px;
	margin-bottom: 0;
	padding: 15px 45px 0 45px;
}

.auth-modal__header .back-p .back-link {
	font-family: "WalsheimPro Medium", sans-serif;
	text-decoration: none;
	color: #626262;
}

.auth-modal__header .back-p .back-link::before {
	content: "\02190\00020";
	text-decoration: none;
	color: #626262;
}

.auth-modal__header .back-p .back-link:hover,
.auth-modal__header .back-p .back-link:hover::before {
	color: #121217;
}

.auth-modal forgot-password-page .auth-modal__body {
	padding-top: 0;
}

/*
    Блок табов для форм входа и регистрации
 */
.nav-tabs.changellenge-tabs {
	display: flex;
	align-items: flex-end;
	height: 50px;
	padding-right: 45px;
	padding-left: 45px;
	border: none;
	border-radius: 15px;
	background: #F2F2F2;
}

.nav-tabs.changellenge-tabs > li.nav-item {
	padding-left: 0;
	background-color: transparent;
}

.auth-modal .nav.nav-tabs li:has(.active) {
	overflow: hidden;
	border-radius: 15px 15px 0 0;
}

.nav-tabs.changellenge-tabs > li.nav-item:before,
.nav-tabs.changellenge-tabs > li.nav-item:after {
	display: none;
}

.nav-tabs.changellenge-tabs > li.nav-item > a {
	font-size: 16px;
	line-height: 1;
	box-sizing: border-box;
	height: 35px;
	padding: 10px 18px;
	transition: all 0.3s;
	text-align: center;
	text-decoration: none;
	color: #AAB4B6;
	border: none;
}

.nav-tabs.changellenge-tabs > li.nav-item > a:focus,
.nav-tabs.changellenge-tabs > li.nav-item > a:hover {
	color: #000;
}

.nav-tabs.changellenge-tabs > li.nav-item > a.active {
	pointer-events: none;
	background-color: white;
}


/*
    Блок оформления selectpicker согласно UI KIT заказчика
 */


.bootstrap-select.ui-auth > .dropdown-menu {
	margin-left: -1px;
	padding: 0;
	border-color: #888;
	border-bottom-right-radius: 5px;
	border-bottom-left-radius: 5px;
	-moz-box-shadow: none;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.bootstrap-select.ui-auth > .dropdown-menu li {
	padding: 0;
	color: #121217;
}

.bootstrap-select.ui-auth > .dropdown-menu li:hover {
	background-color: #F2F2F2;
}

.bootstrap-select.ui-auth > .dropdown-menu li a:hover {
	color: #121217;
}

.bootstrap-select.ui-auth .text-muted {
	font-size: 16px;
	display: block;
	float: right;
	width: calc(100% - 51px);
	color: #444;
}

.bootstrap-select.ui-auth > .dropdown-toggle {
	height: 46px;
	margin: 0;
	padding: 11px 10px 9px;
	border: 0;
	border-color: #fff;
	border-radius: 5px;
	background-color: rgba(255, 255, 255, 0);
	-webkit-box-shadow: 0 1px 0 0 #b0babd;
	box-shadow: 0 1px 0 0 #b0babd
}

@media (max-width: 1023px) {
	.bootstrap-select.ui-auth > .dropdown-toggle {
		font-size: 16px;
	}
}

.bootstrap-select.ui-auth > .dropdown-toggle.btn-default {
	-webkit-box-shadow: none !important;
	box-shadow: none !important;;
}

.bootstrap-select.ui-auth > .dropdown-toggle:active,
.bootstrap-select.ui-auth > .dropdown-toggle:focus,
.bootstrap-select.ui-auth > .dropdown-toggle:hover,
.bootstrap-select.ui-auth > .dropdown-toggle.bs-placeholder:active,
.bootstrap-select.ui-auth > .dropdown-toggle.bs-placeholder:focus,
.bootstrap-select.ui-auth > .dropdown-toggle.bs-placeholder:hover {
	color: #000;
	outline: 0 !important;
	background-color: #fff;
}

.bootstrap-select.ui-auth.open > .dropdown-toggle,
.bootstrap-select.ui-auth.open > .dropdown-toggle:active,
.bootstrap-select.ui-auth.open > .dropdown-toggle:focus,
.bootstrap-select.ui-auth.open > .dropdown-toggle:hover {
	color: #000;
	background-color: #fff !important;
	-webkit-box-shadow: none;
	box-shadow: none;
}


/*
    Блок оформления selectpicker совместно с вводом телефона согласно UI KIT заказчика
 */


.input-phone:has(.bootstrap-select.ui-auth.open) {
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

.bootstrap-select.ui-auth.phonecode {
	width: 75px !important;
}

.bootstrap-select.ui-auth.phonecode .text {
	display: block;
	width: 100%;
}

.bootstrap-select.ui-auth.phonecode > .dropdown-toggle {
	width: 75px;
	margin-right: -1px;
	color: #121217 !important;
	border: 1px solid rgba(0, 0, 0, 0.05);
	border-color: #0000000D;
	border-radius: 15px 0 0 15px;
	box-shadow: none;
	font-weight: 400;
}

.error .bootstrap-select.ui-auth.phonecode > .dropdown-toggle {
	border-color: #FF453A rgba(0, 0, 0, 0.05) #FF453A #FF453A;
	background-color: rgba(255, 69, 58, 0.03);
}

.bootstrap-select.ui-auth.phonecode > .dropdown-toggle:hover, .bootstrap-select.ui-auth.phonecode > .dropdown-toggle:active {
	color: #121217 !important;
	border-color: #CDCDCF;
	box-shadow: none;
}

.bootstrap-select.ui-auth.phonecode li.selected {
	display: block;
}

.bootstrap-select.ui-auth.phonecode .dropdown-menu > .active > a,
.bootstrap-select.ui-auth.phonecode .dropdown-menu > .active > a:focus,
.bootstrap-select.ui-auth.phonecode .dropdown-menu > .active > a:hover {
	font-family: "WalsheimPro Medium", sans-serif;
	font-weight: 500;
	color: #000;
	background-color: #F2F2F2;
}

.bootstrap-select.ui-auth.phonecode .dropdown-menu > .active > a > .text > .text-muted {
	color: #000 !important;
}

.bootstrap-select.ui-auth.phonecode .filter-option-inner-inner {
	margin-top: 3px;
	text-align: center;
}

.bootstrap-select.ui-auth.phonecode > .dropdown-toggle.bs-placeholder:active,
.bootstrap-select.ui-auth.phonecode > .dropdown-toggle.bs-placeholder:focus,
.bootstrap-select.ui-auth.phonecode > .dropdown-toggle.bs-placeholder:hover,
.bootstrap-select.ui-auth.phonecode > .dropdown-toggle:active,
.bootstrap-select.ui-auth.phonecode > .dropdown-toggle:focus,
.bootstrap-select.ui-auth.phonecode > .dropdown-toggle:hover,
.bootstrap-select.ui-auth.phonecode.open > .dropdown-toggle,
.bootstrap-select.ui-auth.phonecode.open > .dropdown-toggle:active,
.bootstrap-select.ui-auth.phonecode.open > .dropdown-toggle:focus,
.bootstrap-select.ui-auth.phonecode.open > .dropdown-toggle:hover {
	color: #333;
	background-color: #fff !important;
}

@media (max-width: 1023px) {
	.bootstrap-select.ui-auth.phonecode .dropdown-menu {
		background-color: #fff;
	}
}

.bootstrap-select.ui-auth.phonenumber {
	border: 0;
}

.changellenge-form .captcha-placeholder > input[type="text"] {
	font-size: 16px;
	width: 100%;
	height: 42px;
	margin: -42px 0 10px 0;
	padding: 2px 15px;
	border: solid 1px #B9B9B9;
	border-radius: 5px;
	background-color: rgba(255, 255, 255, 0);
}

.changellenge-form .captcha-placeholder > input[type="text"]:hover {
	border-color: #888;
}

.changellenge-form .captcha-placeholder > .captcha-img {
	position: relative;
	top: 3px;
	left: calc(100% - 153px);
	width: 150px;
	height: 38px;
	margin-bottom: -26px;
	background-position: center;
	object-fit: cover;
}

.captcha-placeholder {
	max-height: 85px;
}

/* Стили для страницы с кейс-тренажером */
#jsAuthModal.case-trainer-auth-modal {
    .modal-dialog {
        max-width: 570px;

        .nav-tabs.changellenge-tabs {
            justify-content: center;

            li {
                border: none !important;
            }
        }

        .auth-modal .auth-modal__body {
            padding: 32px 48px;

            h3 {
                margin-bottom: 32px;

                @media screen and (max-width:768px) {
                    margin-bottom: 24px;
                }
            }

            .register-agreement {
                text-align: left;
                font-size: 14px;
                line-height: 16px;
                font-family: "Factor A", sans-serif;
                color: #9d9d9d;
                font-weight: 400;

                a.data-policy-link {
                    font-size: 14px;
                    line-height: 16px;
                    font-family: "Factor A", sans-serif;
                    color: #9d9d9d;
                    text-decoration: underline;
                    font-weight: 400;
                }
            }
        }
    }

    .case-trainer-auth {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-family: "Factor A", sans-serif;
        padding: 24px 0 16px;

        .case-trainer-auth__title {
            text-align: center;
            font-size: 20px;
            font-weight: 500;
            line-height: 24px;
            margin-bottom: 4px;
        }

        .case-trainer-auth__description {
            text-align: center;
            font-size: 14px;
            line-height: 16px;
            font-weight: 400;
            max-width: 455px;
        }
    }
}